[Human Knight Class Transfer]:
In order to become a Paladin, you must successfully complete three quests. The Trial of Duty can only be undertaken by a player of level 35 or above. This quest starts with Grand Master Hannavalt of Giran Castle Town. The Testimony of Trust can only be undertaken by a player of level 37 or above. This quest begins by meeting with High Priest Hollint of Oren Castle Town. The Test of the Healer can be undertaken by a player of level 39 or above. This quest begins with Priest Bandellos of Giran Castle Town.
Return
Close Window